version: '3.8'

services:
  drupal:
{% if (docker_image) %}
    image: {{ docker_image_php_name }}
{% else %}
    build:
      context: ./docker/web
      args:
        APACHE_GID: ${APACHE_GID}
        APACHE_UID: ${APACHE_UID}
        http_proxy: ${http_proxy}
        https_proxy: ${https_proxy}
        no_proxy: ${no_proxy},db
{% endif %}
    environment:
      http_proxy: ${http_proxy}
      https_proxy: ${https_proxy}
      no_proxy: ${no_proxy}
      XDEBUG_REMOTE_HOST: ${XDEBUG_REMOTE_HOST}
      XDEBUG_CONFIG: ${XDEBUG_CONFIG}
      PHP_IDE_CONFIG: serverName=web
{% if ((not docker_image) or (not docker_php_fpm)) %}
    ports:
      - ${WEBPORT:-{{ app_port }}}:80
{% endif %}
    volumes:
      - {{ app_dir }}:{{ drupal_root }}
      - ./docker/web/php-dev.ini:/usr/local/etc/php/conf.d/z-php-dev.ini
    working_dir: {{ drupal_root }}
    depends_on:
      - db
    networks:
      - ${DOCKER_NETWORK}
{% if (docker_image and docker_php_fpm) %}
  nginx:
    image: {{ docker_image_web_name }}
    volumes:
      - {{ app_dir }}:{{ drupal_root }}
      - ./docker/nginx/site.conf:/etc/nginx/conf.d/000-site.conf
    ports:
      - ${WEBPORT:-{{ app_port }}}:80
    depends_on:
      - drupal
    links:
      - drupal:web
    working_dir: {{ drupal_root }}
    networks:
      - ${DOCKER_NETWORK}
{% endif %}
  db:
{% if docker_image %}
    image: {{ docker_image_db_name }}
{% else %}
    build:
      context: ./docker/db
{% endif %}
    restart: always
    command:
      - --max_allowed_packet=1073741824
    environment:
      MYSQL_CHARSET: utf8mb4
      MYSQL_COLLATION: utf8mb4_general_ci
      MYSQL_ROOT_PASSWORD: ${DB_PASS}
      MYSQL_DATABASE: ${DB_NAME}
      MYSQL_USER: ${DB_USER}
      MYSQL_PASSWORD: ${DB_PASS}
    volumes:
      - db_data:/var/lib/mysql
    networks:
      - ${DOCKER_NETWORK}
volumes:
  db_data:
    driver: local
  web_data:
    driver: local
